/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author informatica
 */
@Embeddable
public class DetalleProcesoPedidoPK implements Serializable {

    @Basic(optional = false)
    @NotNull
    @Column(name = "idpp")
    private int idpp;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 3)
    @Column(name = "programa_codigo")
    private String programaCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 6)
    @Column(name = "producto_codigo")
    private String productoCodigo;

    public DetalleProcesoPedidoPK() {
    }

    public DetalleProcesoPedidoPK(int idpp, String programaCodigo, String productoCodigo) {
        this.idpp = idpp;
        this.programaCodigo = programaCodigo;
        this.productoCodigo = productoCodigo;
    }

    public int getIdpp() {
        return idpp;
    }

    public void setIdpp(int idpp) {
        this.idpp = idpp;
    }

    public String getProgramaCodigo() {
        return programaCodigo;
    }

    public void setProgramaCodigo(String programaCodigo) {
        this.programaCodigo = programaCodigo;
    }

    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += idpp;
        hash += (programaCodigo != null ? programaCodigo.hashCode() : 0);
        hash += (productoCodigo != null ? productoCodigo.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof DetalleProcesoPedidoPK)) {
            return false;
        }
        DetalleProcesoPedidoPK other = (DetalleProcesoPedidoPK) object;
        if (this.idpp != other.idpp) {
            return false;
        }
        if ((this.programaCodigo == null && other.programaCodigo != null) || (this.programaCodigo != null && !this.programaCodigo.equals(other.programaCodigo))) {
            return false;
        }
        if ((this.productoCodigo == null && other.productoCodigo != null) || (this.productoCodigo != null && !this.productoCodigo.equals(other.productoCodigo))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.dbcon.DetalleProcesoPedidoPK[ idpp=" + idpp + ", programaCodigo=" + programaCodigo + ", productoCodigo=" + productoCodigo + " ]";
    }

}
